## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_with check

# https://github.com/kubernetes/klog
%global goipath         k8s.io/klog
%global forgeurl        https://github.com/kubernetes/klog
Version:                2.90.1

%gometa

%global goaltipaths      k8s.io/klog/v2

%global common_description %{expand:
This is an efficient pure Go implementation of leveled logs in the manner of the
open source C++ package}

%global golicenses      LICENSE
%global godocs          examples SECURITY.md CONTRIBUTING.md RELEASE.md code-\\\
                        of-conduct.md README.md example klogr/README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Leveled execution logs for Go (fork of https://github.com/golang/glog)

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  golang(github.com/go-logr/logr)
BuildRequires:  golang(github.com/golang/glog)

%if %{with check}
# Tests
BuildRequires:  golang(golang.org/x/exp/utf8string)
BuildRequires:  golang(golang.org/x/tools/go/analysis)
BuildRequires:  golang(golang.org/x/tools/go/analysis/singlechecker)
BuildRequires:  golang(golang.org/x/tools/go/analysis/analysistest)
%endif

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Apr 30 2023 Sérgio M. Basto <sergio@serjux.com> - 2.90.1-1
- klog-2.90.1

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 2.10.0-6
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 20 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.10.0-3
- Add upstream patch to export ClearLogger

* Fri Aug 13 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.10.0-2
- Add patch to use logr v1.0.0

* Fri Aug 13 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.10.0-1
- Update to 2.10.0 Close: rhbz#1921437

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 03 20:41:05 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.4.0-1
- Update to 2.4.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 15:18:51 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.3.0-1
- Update to 2.3.0

* Mon Apr 13 22:47:17 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-1
- Update to 2.0.0

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 09 20:26:14 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Initial package

